Bug 1223853 (CVE-2015-4105, xsa130) - xen: guest triggerable qemu MSI-X pass-through error messages (xsa-130)
Summary: xen: guest triggerable qemu MSI-X pass-through error messages (xsa-130)
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-4105, xsa130
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1227629
Blocks: 1223862
TreeView+ depends on / blocked
 
Reported: 2015-05-21 14:39 UTC by Martin Prpič
Modified: 2019-09-29 13:33 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-24 10:41:31 UTC


Attachments (Terms of Use)
xsa130-qemut.patch (545 bytes, text/plain)
2015-05-21 14:40 UTC, Martin Prpič
no flags Details
xsa130-qemuu-4.3.patch (2.84 KB, text/plain)
2015-05-21 14:40 UTC, Martin Prpič
no flags Details
xsa130-qemuu.patch (2.86 KB, text/plain)
2015-05-21 14:40 UTC, Martin Prpič
no flags Details

Description Martin Prpič 2015-05-21 14:39:09 UTC
ISSUE DESCRIPTION
=================

Device model code dealing with guest PCI MSI-X interrupt management activities logs messages on certain (supposedly) invalid guest operations.

IMPACT
======

A buggy or malicious guest repeatedly invoking such operations may result in the host disk to fill up, possibly leading to a Denial of Service.

VULNERABLE SYSTEMS
==================

Xen versions 3.3 and onwards are vulnerable due to supporting PCI pass-through.

Only x86 systems are vulnerable. ARM systems are not vulnerable.

Only HVM guests with their device model run in Dom0 can take advantage of this vulnerability.

Only HVM guests which have been granted access to physical PCI devices (`PCI passthrough') can take advantage of this vulnerability.

Furthermore, the vulnerability is only applicable when the passed-through PCI devices are MSI-X capable. (Many modern devices are.)

MITIGATION
==========

This issue can be avoided by not assigning MSI-X capable PCI devices to untrusted HVM guests.

This issue can also be avoided by only using PV guests.

It can also be avoided by configuring HVM guests with their device model run in a separate (stub) domain. (When using xl, this can be requested with "device_model_stubdomain_override=1" in the domain configuration file.)


Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.

Comment 1 Martin Prpič 2015-05-21 14:40:16 UTC
Created attachment 1028247 [details]
xsa130-qemut.patch

Comment 2 Martin Prpič 2015-05-21 14:40:17 UTC
Created attachment 1028248 [details]
xsa130-qemuu-4.3.patch

Comment 3 Martin Prpič 2015-05-21 14:40:19 UTC
Created attachment 1028249 [details]
xsa130-qemuu.patch

Comment 4 Petr Matousek 2015-05-24 10:41:31 UTC
Statement:

This issue does affect then Xen packages as shipped with Red Hat Enterprise Linux 5.

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 5 Martin Prpič 2015-06-03 08:00:40 UTC
External References:

http://xenbits.xen.org/xsa/advisory-130.html

Comment 6 Martin Prpič 2015-06-03 08:01:11 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1227629]


Note You need to log in before you can comment on or make changes to this bug.